#ifndef SETTINGS_H
#define SETTINGS_H

#ifndef MAX_FILENAME_SIZE
#define MAX_FILENAME_SIZE 1024
#endif

#define GS_NETSCAPE 0
#define GS_IEXPLORE 1
#define GS_OTHER    2


// library settings
extern char gs_enterlib[MAX_FILENAME_SIZE];    // enterlib
extern char gs_gsdlhome[MAX_FILENAME_SIZE];    // gsdlhome
extern char gs_macroshome[MAX_FILENAME_SIZE];  // macroshome
extern char gs_gdbmhome[MAX_FILENAME_SIZE];    // gdbmhome
extern char gs_indexhome[MAX_FILENAME_SIZE];   // indexhome

extern char gs_staticpages[MAX_FILENAME_SIZE]; // staticpages

// debug settings
extern char gs_log_name[MAX_FILENAME_SIZE];    // logfilename
extern int gs_keep_log;                        // keeplog
extern int gs_show_console;                    // consolelog

// general settings
extern int gs_port_num;                        // portnumber
extern int gs_auto_enter;                      // autoenter
extern int gs_browser;                         // browser
extern char gs_browser_exe[MAX_FILENAME_SIZE]; // browserexe


void Settings_Dialog(HWND window, int netscapeneeded);

void read_settings (int netscapeneeded);
void write_settings ();

void gs_check_browser_settings (int netscapeneeded);

#endif
